> ## Documentation Index
> Fetch the complete documentation index at: https://cosmos-docs-sync-security-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog

> Release history and changelog for Cosmos EVM

<Info>
  This page tracks releases and changes for v0.7.0. For the full release history, see the [CHANGELOG](https://github.com/cosmos/evm/blob/main/CHANGELOG.md) on GitHub.
</Info>

<Update label="Release" description="v0.7.0" tags={["EVM", "Release"]}>
  ## API-BREAKING

  * [#1146](https://github.com/cosmos/evm/pull/1146) Remove `EndBlocker` based mempool updates, use `PrepareCheckStater` instead.

  ## IMPROVEMENTS

  * [#758](https://github.com/cosmos/evm/pull/758) Cleanup precompiles abi.json.
  * [#810](https://github.com/cosmos/evm/pull/810) Fix integration test suite to resolve lock contention problem from external app injection
  * [#811](https://github.com/cosmos/evm/pull/811) Use sdk's DefaultBondDenom for default evm denom in genesis.
  * [#823](https://github.com/cosmos/evm/pull/823) Remove authz dependency from test suite and EvmApp interface
  * [#829](https://github.com/cosmos/evm/pull/829) Seperate test app interface
  * [#968](https://github.com/cosmos/evm/pull/968) Use normal gas config in ibc transfer to prevent potential DoS attack
  * [#1029](https://github.com/cosmos/evm/pull/1029) Mark EvmCoinInfo.Decimals field as deprecated
  * [#1079](https://github.com/cosmos/evm/pull/1079) Access Control List is now case-insensitive
  * [#1103](https://github.com/cosmos/evm/pull/1103) Align normal gas metering in ibc erc20 callback.
  * [#1108](https://github.com/cosmos/evm/pull/1108) Add json-rpc http server request body limit.
  * [#1118](https://github.com/cosmos/evm/pull/1118) Cache chain denom for evm mempool
  * [#1008](https://github.com/cosmos/evm/pull/1008) Stop enforcing JSON-RPC global filter cap and allow reclaim filters via configurable idle timeout.
  * [#1130](https://github.com/cosmos/evm/pull/1130) Use `sdk.ValidateAuthority` in `x/vm`, `x/erc20`, and `x/feemarket` `MsgServer` handlers so authority can optionally be centralized via the consensus `AuthorityParams` introduced in cosmos-sdk v0.54.
  * [#1164](https://github.com/cosmos/evm/pull/1164) Remove zero gas config from `ics20.transferWithStateDB` so inner KV ops in ICS20 transfer execution are metered, mirroring [#1103](https://github.com/cosmos/evm/pull/1103).

  ## FEATURES

  * New application evm+cosmos mempool ("Krakatoa")
  * [#589](https://github.com/cosmos/evm/pull/589) Remove parallelization blockers via migration from transient to object store, refactoring of gas, indexing, and bloom utilities.
  * [#768](https://github.com/cosmos/evm/pull/768) Added ICS-02 Client Router precompile
  * [#815](https://github.com/cosmos/evm/pull/815) Support for multi gRPC query clients serve with old binary.
  * [#1082](https://github.com/cosmos/evm/pull/1082) Enable incarnation cache for verify result.
  * [#1096](https://github.com/cosmos/evm/pull/1096) Allow eth\_call overrides work with static precompiles.

  ## BUG FIXES

  * [#1047](https://github.com/cosmos/evm/pull/1047) Resolve EthTxIndex -1 sentinel before uint cast in ReceiptsFromCometBlock, preventing transactionIndex overflow to MaxUint64.
  * [#965](https://github.com/cosmos/evm/pull/965) Fix gas double charging on EVM calls in IBCOnTimeoutPacketCallback.
  * [#869](https://github.com/cosmos/evm/pull/869) Fix erc20 IBC callbacks to check for native token transfer before parsing recipient.
  * [#860](https://github.com/cosmos/evm/pull/860) Fix EIP-712 signature verification to use configured EVM chain ID instead of parsing cosmos chain ID string and replace legacytx.StdSignBytes with the aminojson sign mode handler.
  * [#794](https://github.com/cosmos/evm/pull/794) Fix mempool.max-txs flag not using desired default of 0
  * [#748](https://github.com/cosmos/evm/pull/748) Fix DynamicFeeChecker in Cosmos ante handler to respect NoBaseFee feemarkets' parameter.
  * [#690](https://github.com/cosmos/evm/pull/690) Fix Ledger hardware wallet support for coin type 60.
  * [#769](https://github.com/cosmos/evm/pull/769) Fix erc20 ibc middleware to not to validate sender address format.
  * [#756](https://github.com/cosmos/evm/pull/756) Fix error message typo in NewMsgCancelProposal.
  * [#772](https://github.com/cosmos/evm/pull/772) Avoid panic on close if evm mempool not used.
  * [#774](https://github.com/cosmos/evm/pull/774) Emit proper allowance amount in erc20 event.
  * [#790](https://github.com/cosmos/evm/pull/790) fix panic in historical query due to missing EvmCoinInfo.
  * [#800](https://github.com/cosmos/evm/pull/800) Fix denom exponent validation in virtual fee deduct in vm module.
  * [#1132](https://github.com/cosmos/evm/pull/1132) Patch block-cumulative `log.Index` and eth-only `log.TxIndex` post-execution to fix indexing under BlockSTM.
  * [#817](https://github.com/cosmos/evm/pull/817) Align GetCoinbaseAddress to handle empty proposer address in contexts like CheckTx where proposer doesn't exist.
  * [#814](https://github.com/cosmos/evm/pull/814) Fix duplicated events in post tx processor.
  * [#816](https://github.com/cosmos/evm/pull/816) Avoid nil pointer when RPC requests execute before evmCoinInfo initialization in PreBlock with defaultEvmCoinInfo fallback.
  * [#828](https://github.com/cosmos/evm/pull/828) Validate decimals before conversion to prevent panic when coininfo is missing in historical queries.
  * [#905](https://github.com/cosmos/evm/pull/905) Fix EIP-6780 selfdestruct to properly delete contracts at pre-funded addresses by persisting code and account before DeleteAccount's IsContract check.
  * [#920](https://github.com/cosmos/evm/pull/920) Fix GetCoinbaseAddress to correctly convert validator operator address from Bech32 format to Ethereum address for block.coinbase opcode.
  * [#705](https://github.com/cosmos/evm/pull/705) Fix dynamic precompiles being disabled when EVM state overrides are used in eth\_call.
  * [#967](https://github.com/cosmos/evm/pull/967) Fix return value of erc20 ibcv2 middleware to properly reflect application success and middleware failure.
  * [#992](https://github.com/cosmos/evm/pull/992) Respect the provided `gasCap` in `CallEVMWithData` instead of always used the default cap.
  * [#993](https://github.com/cosmos/evm/pull/993) Enforce `src_callback` contract address to match the packet sender for IBC acknowledgement and timeout callbacks to prevent arbitrary contract execution.
  * [#1061](https://github.com/cosmos/evm/pull/1061) Block nested ICS20 forwarding in source callbacks.
  * [#1050](https://github.com/cosmos/evm/pull/1050) Align precompile gas calculation with expected EVM gas semantics.
  * [#1107](https://github.com/cosmos/evm/pull/1107) Skip StateDB commit error transactions during receipt conversion to prevent `invalid message index` errors in block RPCs.
</Update>
